
import java.awt.*;
import javax.swing.*;

public class CesenaPanel extends JPanel{
	Image s1,s2,s3,s4,s5,s6,e1,e2,e3,e4,e5,e6;
	int numOfPlayers=6;
	public CesenaPanel(){
		super();
		Toolkit tk=Toolkit.getDefaultToolkit();
		s1=tk.getImage("../image/startRea.gif");
		s2=tk.getImage("../image/startBocchini.gif");
		s3=tk.getImage("../image/startFicagna.gif");
		s4=tk.getImage("../image/startAmbrogioni.gif");
		s5=tk.getImage("../image/startCavalli.gif");
		s6=tk.getImage("../image/startBernacci.gif");
		e1=tk.getImage("../image/3.gif");
		e2=tk.getImage("../image/5.gif");
		e3=tk.getImage("../image/6.gif");
		e4=tk.getImage("../image/2.gif");
		e5=tk.getImage("../image/10.gif");
		e6=tk.getImage("../image/9.gif");
		MediaTracker mt=new MediaTracker(this);
		mt.addImage(s1,1);
		mt.addImage(s2,1);
		mt.addImage(s3,1);
		mt.addImage(s4,1);
		mt.addImage(s5,1);
		mt.addImage(s6,1);
		mt.addImage(e1,1);
		mt.addImage(e2,1);
		mt.addImage(e3,1);
		mt.addImage(e4,1);
		mt.addImage(e5,1);
		mt.addImage(e6,1);
		try{
				mt.waitForAll();
				}
		catch(InterruptedException e){}
	}

	//definisco i parametri
	String stadium="Stadio Dino Manuzzi di Cesena";
	int larghezzaCampo=540, altezzaCampo=300;	
	int[] xStart=new int[numOfPlayers];
	int[] yStart=new int[numOfPlayers];
	int[] xEnd=new int[numOfPlayers];
	int[] yEnd=new int[numOfPlayers];


	Font h=new Font("Serif",Font.ITALIC,30);

	public void inizializzazione(int[] xS, int[] yS, int[] xE, int[] yE){
		for(int i=0; i<numOfPlayers; i++){
			xStart[i]=xS[i];
			yStart[i]=yS[i];	
			xEnd[i]=xE[i];
			yEnd[i]=yE[i];
			}
		}

	public void paintComponent(Graphics g){
		super.paintComponent(g);
		
		//colore del campo
		setBackground(Color.green);
		
		//linee di gioco
		g.setColor(Color.black);
		
		//linea di fallo laterale
		g.drawRect(5, 50, larghezzaCampo-20, altezzaCampo-35);
		//cerchio di centrocampo
		g.drawArc(-55,120,120,120,-270,-180);
		//area di rigore
		g.drawRect(435,120,90,120);
		//mezzaluna calcio di rigore
		g.drawArc(385,130,100,100,90,180);
		//area piccola
		g.drawRect(495,140,30,80);
		//dischetto del rigore
		g.drawArc(459,175,5,5,0,360);

		//intestazione campo
		g.setColor(Color.red);
		g.setFont(h);
		g.drawString(stadium, 80, 30);
	//}

		//adesso li facciamo giocare
		//definisco un nuovo componente	

	/*public void paintComponent(Graphics player){
		super.paintComponent(player);*/
		

					for(int i=0; i<numOfPlayers; i++){ 
						if(i<4){																							//ci andrebbe i<=numero di difensori
								g.setColor(Color.blue);
								g.drawLine(xStart[i], yStart[i], xEnd[i], yEnd[i]);
						}else{		
								g.setColor(Color.white);
								g.drawLine(xStart[i], yStart[i], xEnd[i], yEnd[i]);
						}
					}
		int gap=5;
		int xgap=10;	
		g.drawImage(s1,xStart[0],yStart[0]-gap,null);
		g.drawImage(s2,xStart[1],yStart[1]-gap,null);
		g.drawImage(s3,xStart[2],yStart[2]-gap,null);
		g.drawImage(s4,xStart[3],yStart[3]-gap,null);
		g.drawImage(s5,xStart[4],yStart[4]-gap,null);
		g.drawImage(s6,xStart[5],yStart[5]-gap,null);
		g.drawImage(e1,xEnd[0]-xgap,yEnd[0]-gap,null);
		g.drawImage(e2,xEnd[1]-xgap,yEnd[1]-gap,null);
		g.drawImage(e3,xEnd[2]-xgap,yEnd[2]-gap,null);
		g.drawImage(e4,xEnd[3]-xgap,yEnd[3]-gap,null);
		g.drawImage(e5,xEnd[4],yEnd[4]-gap,null);
		g.drawImage(e6,xEnd[5],yEnd[5]-gap,null);

		}	

}
