import java.awt.*;
import javax.swing.*;
import alice.logictuple.*;
import alice.tucson.api.*;
import java.lang.*;
import alice.tuprolog.*;
import java.io.*;

class Bernacci extends alice.tucson.api.Agent { 

	//costruttore di default della classe Agent
	public Bernacci(AgentId aid) throws TucsonException {
   	super(aid);
   }//chiudo il costruttore di default

	int flag=0; //la bandierina del gaurdialinee che deve chiamare il fuorigioco. Ovviamente di default  abbassata
	int posX;  //posizione giocatore sull'asse X
	int posY;	//posizione giocatore sull'asse Y
	int palla=1; //Berna parte con la palla


	//body dell'agente giocatore
 	public void body(){
		try { 											//apro il try del body()


	//apro un contesto Tucson tucson di Default
	TucsonContext stadio=Tucson.enterDefaultContext();

	//TupleCenter usato come campo per passare i parametri	
	TupleCentreId maracana = new TupleCentreId("maracana");

	//setto le specifiche di Respect ***************E' MEGLIO FARLE SETTARE AL MAIN*******************
	//stadio.setSpec(maracana,"reaction(out(mannaco(X,Y)),(X<80,in_r(fine(N)),out_r(fine(0)))). \n reaction(out(mannaco(X,Y)),(X>80,in_r(fine(N)),out_r(fine(1)))).");

	//decido la mia posizione di partenza, a caso
	posX=(int)(5+300*Math.random());
	//posX=40;
	posY=(int)(60+120*Math.random());
	//posY=1;

	//*********Faccio delle prove per testare alcuni valori critici********
	//PROVA 1) verifico se arrivo ad 80 esatti se alza la bandierina o se continua. Non dovrebbe alzarla.
	//posX=40; 
	//posY=(int)(100*Math.random()); 
	//PROVA 1 TERMINATA CON SUCCESSO!!!!

	//PROVA 2) parto gi in fuorigioco per vedere se va in crisi. Non deve eseguire il ciclo for ma restiturimi la posizione di partenza
	//posX=85; 
	//posY=(int)(100*Math.random()); 
	//PROVA 2 TERMINATA CON SUCCESSO!!!!


	Value inizioX=new Value(posX);				
	Value inizioY=new Value(posY);		

	Value pallone=new Value(palla);

	Value fineX=new Value(posX);						//mi servir pi avanti, intanto lo dichiaro
	Value fineY=new Value(posY);						//mi servir pi avanti, intanto lo dichiaro



	//il mio giocatore si chiama mannaco
	LogicTuple iniziali=new LogicTuple("bernacci",inizioX,inizioY,pallone);

	//faccio la prima out - la faccio sempre
	stadio.out(maracana, iniziali);
	
	//e controllo ovviamente il flag anche in partenza
	LogicTuple fine=stadio.rd(maracana, new LogicTuple("fine", new alice.logictuple.Var("Fine")));

	//converto il valore di fine e lo metto dentro a flag
	flag=fine.getArg(0).intValue();	
	System.out.println("fine vale: "+fine);
	System.out.println("Il falg vale: "+flag);

	//se la bandierina  alzata NON inizio nemmeno il ciclo for e passo le posizioni al main affinch le dia al grafico
	if(flag>0){
				//faccio una out che mi servir poi per avere coordinate inziali e finali per il grafico
				//ovviamente se parto gi in fuorigioco posizione di partenza e arrivo coincidono
				LogicTuple graph=new LogicTuple("graficoBernacci",inizioX,inizioY,inizioX,inizioY);
				stadio.out(maracana, graph);
				}
			
	//ciclo for, PROCEDIMENTO CHIAVE*************************************
	for(int i=0; flag<1; i++){												   									//apro il CICLO FOR
	
	//leggo la mia posizione
	LogicTuple position=stadio.rd(maracana, new LogicTuple("bernacci",new alice.logictuple.Var("Xpos"),new alice.logictuple.Var("Ypos"),new alice.logictuple.Var("Ppos")));
	int posX=position.getArg(0).intValue();
	int posY=position.getArg(1).intValue();
	int posX2=position.getArg(0).intValue();

	//dopo tutte le letture introduco la BARRIERA DI SINCRONIZZAZIONE
	LogicTuple ready=new LogicTuple("ready");
	stadio.out(maracana,ready);

	//attendo la risposta che anche tutti gli altri agenti sono pronti
	stadio.rd(maracana,new LogicTuple("ready_all"));


	//la stringa che contiene i valori e li passa al motore prolog
	String valoriXY;
	valoriXY="attacca("+posX+",_,"+posY+","+palla+").";
	//passo la mia posizione al motore Prolog e recupero la mia posizione
				//************
				//motore prolog
         	Prolog Pengine=new Prolog();
				try {
								FileInputStream f=new FileInputStream("../theories/attaccanti.pl");

								Pengine.setTheory(new Theory(f));
				} catch (InvalidTheoryException e1) {
								System.out.println("Errore nella teoria" );
								e1.printStackTrace();
				}
				//fine motore prolog
				//**************
				//try catch per fa risolvere al motore Prolog quella roba
								SolveInfo sol=null;
				try {																//apro il try.prolog
								sol = Pengine.solve(valoriXY);
								Struct soluzione=(Struct)sol.getSolution();
								alice.tuprolog.Number uno=(alice.tuprolog.Number)soluzione.getArg(0);
								alice.tuprolog.Number due=(alice.tuprolog.Number)soluzione.getArg(1);
								alice.tuprolog.Number tre=(alice.tuprolog.Number)soluzione.getArg(2);
								alice.tuprolog.Number quattro=(alice.tuprolog.Number)soluzione.getArg(3);
								System.out.println("**************************");	
								System.out.println("Bernacci e' avanzato da: "+uno+" a "+due);	
								System.out.println("La posizione di Bernacci vale: ("+due+","+tre+")");	
								//System.out.println("solution: "+soluzione);
								posX=uno.intValue();
								posX2=due.intValue();
								posY=tre.intValue();
								palla=quattro.intValue();
									valoriXY="attacca("+posX2+",_,"+posY+","+palla+").";
				}catch (NoSolutionException e) {		//chiudo il try.prolog e apro il catch del try.prolog
				e.printStackTrace();
				}																			//chiudo lo il catch del try.prolog


	//imposto la mia nuova posizione
	fineX=new Value(posX2);				
	fineY=new Value(posY);		

	//effettuo la nuova out che intercetter poi Respect
	LogicTuple durante=new LogicTuple("bernacci",fineX,fineY,pallone);    
	stadio.out(maracana, durante);

	//dopo la mia out introduco la SECONDA BARRIERA DI SINCRONIZZAZIONE
	//per considerare il FUORIGIOCO
	LogicTuple ready2=new LogicTuple("ready2");
	stadio.out(maracana,ready2);

	//attendo la risposta che anche tutti gli altri agenti sono pronti
	stadio.rd(maracana,new LogicTuple("ready_all2"));

	//come prima cosa leggo la tupla FINE
	fine=stadio.rd(maracana, new LogicTuple("fine", new alice.logictuple.Var("Fine")));

	//converto il valore di fine e lo metto dentro a flag
	flag=fine.getArg(0).intValue();
	System.out.println(flag);


		}                                                                                                   //chiudo il CICLO FOR
	//a questo punto  possibile chiudere il ciclo for***********************************

	//se la bandierina  alzata passo le posizioni al main affinch le dia al grafico
	if(flag>0){
				//faccio una out che mi servir poi per avere coordinate inziali e finali per il grafico
				LogicTuple graph=new LogicTuple("graficoBernacci",inizioX,inizioY,fineX,fineY);
				stadio.out(maracana, graph);
				}


	}																															      	  //chiudo il try del body
	catch (Exception ex){}																				        //apro e chiudo il catch del try del body

	}																																			//chuido il body
/*
	//metodi che serviranno poi al prolog
	int getFlag(){return flag;}
	int getX(){return posX;}
	int getY(){return posY;}
	int setX(){return (posX+10);}
	int setY(){return (posY+10);}
*/
}	