import java.awt.*;
import javax.swing.*;
import alice.logictuple.*;
import alice.tucson.api.*;
import java.lang.*;
import alice.tuprolog.*;
import java.io.*;

class Bocchini extends alice.tucson.api.Agent { 

	//costruttore di default della classe Agent
	public Bocchini(AgentId aid) throws TucsonException {
   	super(aid);
   }//chiudo il costruttore di default

	int flag=0; //la bandierina del gaurdialinee che deve chiamare il fuorigioco. Ovviamente di default  abbassata
	int posX;  //posizione giocatore sull'asse X
	int posY;	//posizione giocatore sull'asse Y

	//body dell'agente giocatore
 	public void body(){
		try { 											//apro il try del body()


	//apro un contesto Tucson tucson di Default
	TucsonContext stadio=Tucson.enterDefaultContext();

	//TupleCenter usato come campo per passare i parametri	e lo chiamo maracana
	TupleCentreId maracana = new TupleCentreId("maracana");

	//setto le specifiche di Respect ***************E' MEGLIO FARLE SETTARE AL MAIN*******************
	//stadio.setSpec(maracana,"reaction(out(mannaco(X,Y)),(X<80,in_r(fine(N)),out_r(fine(0)))). \n reaction(out(mannaco(X,Y)),(X>80,in_r(fine(N)),out_r(fine(1)))).");

	//decido la mia posizione di partenza, a caso
	posX=(int)(255+250*Math.random());
	//posX=220;
	posY=(int)(180+60*Math.random());

	//*********Faccio delle prove per testare alcuni valori critici********
	//PROVA 1) verifico se arrivo ad 80 esatti se alza la bandierina o se continua. Non dovrebbe alzarla.
	//posX=40; 
	//posY=(int)(100*Math.random()); 
	//PROVA 1 TERMINATA CON SUCCESSO!!!!

	//PROVA 2) parto gi in fuorigioco per vedere se va in crisi. Non deve eseguire il ciclo for ma restiturimi la posizione di partenza
	//posX=85; 
	//posY=(int)(100*Math.random()); 
	//PROVA 2 TERMINATA CON SUCCESSO!!!!


	Value inizioX=new Value(posX);				
	Value inizioY=new Value(posY);		
	Value fineX=new Value(posX);				
	Value fineY=new Value(posY);		

	//il mio giocatore si chiama rea
	LogicTuple iniziali3=new LogicTuple("bocchini",inizioX,inizioY);

	//faccio la prima out - la faccio sempre
	stadio.out(maracana, iniziali3);
	
	//e controllo ovviamente il flag anche in partenza
	LogicTuple fine=stadio.rd(maracana, new LogicTuple("fine", new alice.logictuple.Var("Fine")));

	//converto il valore di fine e lo metto dentro a flag
	flag=fine.getArg(0).intValue();	
	System.out.println("fine vale: "+fine);
	System.out.println("Il falg vale: "+flag);

	//se la bandierina  alzata NON inizio nemmeno il ciclo for e passo le posizioni al main affinch le dia al grafico
	if(flag>0){
				//faccio una out che mi servir poi per avere coordinate inziali e finali per il grafico
				//ovviamente se parto gi in fuorigioco posizione di partenza e arrivo coincidono
				LogicTuple graph=new LogicTuple("graficoBocchini",inizioX,inizioY,inizioX,inizioY);
				stadio.out(maracana, graph);
				}
			
	//ciclo for, PROCEDIMENTO CHIAVE*************************************
	for(int i=0; flag<1; i++){												   									//apro il CICLO FOR
	
	//leggo la mia posizione
	LogicTuple position2=stadio.rd(maracana, new LogicTuple("bocchini",new alice.logictuple.Var("Xpos"),new alice.logictuple.Var("Ypos")));
	int posX=position2.getArg(0).intValue();
	int posY=position2.getArg(1).intValue();
	int posX2=position2.getArg(0).intValue();

	//Leggo le posizioni di tutti gli altri 5 giocatori
	LogicTuple position=stadio.rd(maracana, new LogicTuple("rea",new alice.logictuple.Var("Xpos1"),new alice.logictuple.Var("Ypos1")));
	LogicTuple position3=stadio.rd(maracana, new LogicTuple("ficagna",new alice.logictuple.Var("Xpos2"),new alice.logictuple.Var("Ypos2")));
	LogicTuple position4=stadio.rd(maracana, new LogicTuple("ambrogioni",new alice.logictuple.Var("Xpos3"),new alice.logictuple.Var("Ypos3")));
	LogicTuple position5=stadio.rd(maracana, new LogicTuple("cavalli",new alice.logictuple.Var("Xpos4"),new alice.logictuple.Var("Ypos4"),new alice.logictuple.Var("Palla1")));
	LogicTuple position6=stadio.rd(maracana, new LogicTuple("bernacci",new alice.logictuple.Var("Xpos5"),new alice.logictuple.Var("Ypos5"),new alice.logictuple.Var("Palla2")));

	//dopo tutte le letture introduco la BARRIERA DI SINCRONIZZAZIONE
	LogicTuple ready=new LogicTuple("ready");
	stadio.out(maracana,ready);

	//attendo la risposta che anche tutti gli altri agenti sono pronti
	stadio.rd(maracana,new LogicTuple("ready_all"));

	int pos2X=position.getArg(0).intValue();
	int pos2Y=position.getArg(1).intValue();
	int pos3X=position3.getArg(0).intValue();
	int pos3Y=position3.getArg(1).intValue();
	int pos4X=position4.getArg(0).intValue();
	int pos4Y=position4.getArg(1).intValue();
	int pos5X=position5.getArg(0).intValue();
	int pos5Y=position5.getArg(1).intValue();
	int pos5P=position5.getArg(2).intValue();
	int pos6X=position6.getArg(0).intValue();
	int pos6Y=position6.getArg(1).intValue();
	int pos6P=position6.getArg(2).intValue();

	//la stringa che contiene i valori e li passa al motore prolog
	String valoriXY;
	valoriXY="fuorigioco(rea("+pos2X+",_,"+pos2Y+"),bocchini("+posX+",_,"+posY+"),ficagna("+pos3X+",_,"+pos3Y+"),ambrogioni("+pos4X+",_,"+pos4Y+"),cavalli("+pos5X+","+pos5Y+","+pos5P+"),bernacci("+pos6X+","+pos6Y+","+pos6P+")).";
	System.out.println(valoriXY);
	//passo la mia posizione al motore Prolog e recupero la mia posizione
				//************
				//motore prolog
         	Prolog Pengine=new Prolog();
				try {
								FileInputStream f=new FileInputStream("../theories/Finale.pl");

								Pengine.setTheory(new Theory(f));
				} catch (InvalidTheoryException e1) {
								System.out.println("Errore nella teoria" );
								e1.printStackTrace();
				}
				//fine motore prolog
				//**************
				//try catch per fa risolvere al motore Prolog quella roba
								SolveInfo sol=null;
				try {																//apro il try.prolog
								sol = Pengine.solve(valoriXY);
								Struct soluzione=(Struct)sol.getSolution();
								//creo una nuova struttura, con un cast, per prendere bocchini(X,Y,Z) dentro fuoriogioco(bocchini(X,Y,Z),...)
								Struct structBocchini=(Struct)soluzione.getArg(1);
								alice.tuprolog.Number uno=(alice.tuprolog.Number)structBocchini.getArg(0);
								alice.tuprolog.Number due=(alice.tuprolog.Number)structBocchini.getArg(1);
								alice.tuprolog.Number tre=(alice.tuprolog.Number)structBocchini.getArg(2);
								System.out.println("**************************");	
								System.out.println("Bocchini e' avanzato da: "+uno+" a "+due);	
								System.out.println("Posizione di Bocchini: ("+due+","+tre+")");	
								//System.out.println("solution: "+soluzione);
								posX=uno.intValue();
								posX2=due.intValue();
								posY=tre.intValue();
									valoriXY="fuorigioco("+posX2+",_,"+posY+").";
				}catch (NoSolutionException e) {		//chiudo il try.prolog e apro il catch del try.prolog
				e.printStackTrace();
				}																			//chiudo lo il catch del try.prolog


	//imposto la mia nuova posizione
	 fineX=new Value(posX2);				
	 fineY=new Value(posY);		

	//effettuo la nuova out che intercetter poi Respect
	LogicTuple durante=new LogicTuple("bocchini",fineX,fineY);    
	stadio.out(maracana, durante);

	//dopo la mia out introduco la SECONDA BARRIERA DI SINCRONIZZAZIONE
	//per considerare il FUORIGIOCO
	LogicTuple ready2=new LogicTuple("ready2");
	stadio.out(maracana,ready2);

	//attendo la risposta che anche tutti gli altri agenti sono pronti
	stadio.rd(maracana,new LogicTuple("ready_all2"));

	//come prima cosa leggo la tupla FINE
	fine=stadio.rd(maracana, new LogicTuple("fine", new alice.logictuple.Var("Fine")));

	//converto il valore di fine e lo metto dentro a flag
	flag=fine.getArg(0).intValue();
	System.out.println(flag);


		}                                                                                                   //chiudo il CICLO FOR
	//a questo punto  possibile chiudere il ciclo for***********************************

	//se la bandierina  alzata passo le posizioni al main affinch le dia al grafico
	if(flag>0){
				//faccio una out che mi servir poi per avere coordinate inziali e finali per il grafico
				LogicTuple graph=new LogicTuple("graficoBocchini",inizioX,inizioY,fineX,fineY);
				stadio.out(maracana, graph);
				}


	}																															      	  //chiudo il try del body
	catch (Exception ex){}																				        //apro e chiudo il catch del try del body

	}																																			//chuido il body
/*
	//metodi che serviranno poi al prolog
	int getFlag(){return flag;}
	int getX(){return posX;}
	int getY(){return posY;}
	int setX(){return (posX+10);}
	int setY(){return (posY+10);}
*/
}																																			//chiudo bocchini