import java.awt.*;
import javax.swing.*;
import alice.logictuple.*;
import alice.tucson.api.*;
import java.lang.*;
import alice.tuprolog.*;
import java.io.*;

class Rea extends alice.tucson.api.Agent { 

	//costruttore di default della classe Agent
	public Rea(AgentId aid) throws TucsonException {
   	super(aid);
   }//chiudo il costruttore di default

	int flag=0; //la bandierina del gaurdialinee che deve chiamare il fuorigioco. Ovviamente di default  abbassata
	int posX;  //posizione giocatore sull'asse X
	int posY;	//posizione giocatore sull'asse Y

	//body dell'agente giocatore
 	public void body(){
		try { 											//apro il try del body()


	//apro un contesto Tucson tucson di Default
	TucsonContext stadio=Tucson.enterDefaultContext();

	//TupleCenter usato come campo per passare i parametri	e lo chiamo maracana
	TupleCentreId maracana = new TupleCentreId("maracana");

	//setto le specifiche di Respect ***************E' MEGLIO FARLE SETTARE AL MAIN*******************
	//stadio.setSpec(maracana,"reaction(out(mannaco(X,Y)),(X<80,in_r(fine(N)),out_r(fine(0)))). \n reaction(out(mannaco(X,Y)),(X>80,in_r(fine(N)),out_r(fine(1)))).");

	//decido la mia posizione di partenza, a caso
	posX=(int)(255+250*Math.random());
	//posX=243;
	posY=(int)(240+60*Math.random());

	//*********Faccio delle prove per testare alcuni valori critici********
	//PROVA 1) verifico se arrivo ad 80 esatti se alza la bandierina o se continua. Non dovrebbe alzarla.
	//posX=40; 
	//posY=(int)(100*Math.random()); 
	//PROVA 1 TERMINATA CON SUCCESSO!!!!

	//PROVA 2) parto gi in fuorigioco per vedere se va in crisi. Non deve eseguire il ciclo for ma restiturimi la posizione di partenza
	//posX=85; 
	//posY=(int)(100*Math.random()); 
	//PROVA 2 TERMINATA CON SUCCESSO!!!!


	Value inizioX=new Value(posX);				
	Value inizioY=new Value(posY);		
	Value fineX=new Value(posX);				
	Value fineY=new Value(posY);		

	//il mio giocatore si chiama rea
	LogicTuple iniziali=new LogicTuple("rea",inizioX,inizioY);

	//faccio la prima out - la faccio sempre
	stadio.out(maracana, iniziali);
	
	//e controllo ovviamente il flag anche in partenza
	LogicTuple fine=stadio.rd(maracana, new LogicTuple("fine", new alice.logictuple.Var("Fine")));

	//converto il valore di fine e lo metto dentro a flag
	flag=fine.getArg(0).intValue();	
	System.out.println("fine vale: "+fine);
	System.out.println("Il falg vale: "+flag);

	//se la bandierina  alzata NON inizio nemmeno il ciclo for e passo le posizioni al main affinch le dia al grafico
	if(flag>0){
				//faccio una out che mi servir poi per avere coordinate inziali e finali per il grafico
				//ovviamente se parto gi in fuorigioco posizione di partenza e arrivo coincidono
				LogicTuple graph=new LogicTuple("graficoRea",inizioX,inizioY,inizioX,inizioY);
				stadio.out(maracana, graph);
				}
			
	//ciclo for, PROCEDIMENTO CHIAVE*************************************
	for(int i=0; flag<1; i++){												   									//apro il CICLO FOR


	//leggo la mia posizione
	LogicTuple position=stadio.rd(maracana, new LogicTuple("rea",new alice.logictuple.Var("Xpos"),new alice.logictuple.Var("Ypos")));
	int posX=position.getArg(0).intValue();
	int posY=position.getArg(1).intValue();
	int posX2=position.getArg(0).intValue();

	//Leggo le posizioni di tutti gli altri 5 giocatori
	LogicTuple position2=stadio.rd(maracana, new LogicTuple("bocchini",new alice.logictuple.Var("Xpos1"),new alice.logictuple.Var("Ypos1")));
	LogicTuple position3=stadio.rd(maracana, new LogicTuple("ficagna",new alice.logictuple.Var("Xpos2"),new alice.logictuple.Var("Ypos2")));
	LogicTuple position4=stadio.rd(maracana, new LogicTuple("ambrogioni",new alice.logictuple.Var("Xpos3"),new alice.logictuple.Var("Ypos3")));
	LogicTuple position5=stadio.rd(maracana, new LogicTuple("cavalli",new alice.logictuple.Var("Xpos4"),new alice.logictuple.Var("Ypos4"),new alice.logictuple.Var("Palla1")));
	LogicTuple position6=stadio.rd(maracana, new LogicTuple("bernacci",new alice.logictuple.Var("Xpos5"),new alice.logictuple.Var("Ypos5"),new alice.logictuple.Var("Palla2")));

	//dopo tutte le letture introduco la BARRIERA DI SINCRONIZZAZIONE
	LogicTuple ready=new LogicTuple("ready");
	stadio.out(maracana,ready);

	//attendo la risposta che anche tutti gli altri agenti sono pronti
	stadio.rd(maracana,new LogicTuple("ready_all"));

	int pos2X=position2.getArg(0).intValue();
	int pos2Y=position2.getArg(1).intValue();
	int pos3X=position3.getArg(0).intValue();
	int pos3Y=position3.getArg(1).intValue();
	int pos4X=position4.getArg(0).intValue();
	int pos4Y=position4.getArg(1).intValue();
	int pos5X=position5.getArg(0).intValue();
	int pos5Y=position5.getArg(1).intValue();
	int pos5P=position5.getArg(2).intValue();
	int pos6X=position6.getArg(0).intValue();
	int pos6Y=position6.getArg(1).intValue();
	int pos6P=position6.getArg(2).intValue();
	

	//la stringa che contiene i valori e li passa al motore prolog
	String valoriXY;
	valoriXY="fuorigioco(rea("+posX+",_,"+posY+"),bocchini("+pos2X+",_,"+pos2Y+"),ficagna("+pos3X+",_,"+pos3Y+"),ambrogioni("+pos4X+",_,"+pos4Y+"),cavalli("+pos5X+","+pos5Y+","+pos5P+"),bernacci("+pos6X+","+pos6Y+","+pos6P+")).";
	System.out.println(valoriXY);
	//passo la mia posizione al motore Prolog e recupero la mia posizione
				//************
				//motore prolog
         	Prolog Pengine=new Prolog();
				try {
								FileInputStream f=new FileInputStream("../theories/Finale.pl");

								Pengine.setTheory(new Theory(f));
				} catch (InvalidTheoryException e1) {
								System.out.println("Errore nella teoria" );
								e1.printStackTrace();
				}
				//fine motore prolog
				//**************
				//try catch per fa risolvere al motore Prolog quella roba
								SolveInfo sol=null;
				try {																//apro il try.prolog
								sol = Pengine.solve(valoriXY);
								Struct soluzione=(Struct)sol.getSolution();
								//creo una nuova struttura, con un cast, per prendere rea(X,Y,Z) dentro fuoriogioco(rea(X,Y,Z),...)
								Struct structRea=(Struct)soluzione.getArg(0);
								alice.tuprolog.Number uno=(alice.tuprolog.Number)structRea.getArg(0);
								alice.tuprolog.Number due=(alice.tuprolog.Number)structRea.getArg(1);
								alice.tuprolog.Number tre=(alice.tuprolog.Number)structRea.getArg(2);
								System.out.println("**************************");	
								System.out.println("Rea e' avanzato da: "+uno+" a "+due);	
								System.out.println("Posizione di Rea: ("+due+","+tre+")");	
								//System.out.println("solution: "+soluzione);
								posX=uno.intValue();
								posX2=due.intValue();
								posY=tre.intValue();
									valoriXY="fuorigioco("+posX2+",_,"+posY+").";
				}catch (NoSolutionException e) {		//chiudo il try.prolog e apro il catch del try.prolog
				e.printStackTrace();
				}																			//chiudo lo il catch del try.prolog


	//imposto la mia nuova posizione
	 fineX=new Value(posX2);				
	 fineY=new Value(posY);		

	//effettuo la nuova out che intercetter poi Respect
	LogicTuple durante=new LogicTuple("rea",fineX,fineY);    
	stadio.out(maracana, durante);

	//dopo la mia out introduco la SECONDA BARRIERA DI SINCRONIZZAZIONE
	//per considerare il FUORIGIOCO
	LogicTuple ready2=new LogicTuple("ready2");
	stadio.out(maracana,ready2);

	//attendo la risposta che anche tutti gli altri agenti sono pronti
	stadio.rd(maracana,new LogicTuple("ready_all2"));

	//come ultima cosa leggo la tupla FINE 
	//Se il flag si  alzato esco dal for
	fine=stadio.rd(maracana, new LogicTuple("fine", new alice.logictuple.Var("Fine")));

	//converto il valore di fine e lo metto dentro a flag
	flag=fine.getArg(0).intValue();
	System.out.println(flag);
	

		}                                                                                                   //chiudo il CICLO FOR
	//a questo punto  possibile chiudere il ciclo for***********************************

	//se la bandierina  alzata passo le posizioni al main affinch le dia al grafico
	if(flag>0){
				//faccio una out che mi servir poi per avere coordinate inziali e finali per il grafico
				LogicTuple graph=new LogicTuple("graficoRea",inizioX,inizioY,fineX,fineY);
				stadio.out(maracana, graph);
				}


	}																															      	  //chiudo il try del body
	catch (Exception ex){}																				        //apro e chiudo il catch del try del body

	}																																			//chuido il body
/*
	//metodi che serviranno poi al prolog
	int getFlag(){return flag;}
	int getX(){return posX;}
	int getY(){return posY;}
	int setX(){return (posX+10);}
	int setY(){return (posY+10);}
*/
}																																			//chiudo Rea
//----------------------------------------------------------------------------
//**************************Castori.java************************

public class FabrizioCastori{																					//apro il file Castori.java
	public static void main(String[] args) throws Exception {	//apro il main

	//importo il file di respect da un file anzich scriverla tutta in questo file
	TextFileRead converti=new TextFileRead();
	String respectFile=converti.readTextFile("../context/offside2.rsp");

	//apro un contesto Tucson tucson di Default
	TucsonContext stadio=Tucson.enterDefaultContext();

	//TupleCenter usato come campo per passare i parametri	
	TupleCentreId  maracana = new TupleCentreId("maracana");

	//setto le specifiche di Respect
	//stadio.setSpec(maracana,"reaction(out(rea(X,Y)),(X=<80,in_r(fine(N)),out_r(fine(0)))). \n reaction(out(rea(X,Y)),(X>80,in_r(fine(N)),out_r(fine(1)))).");
	stadio.setSpec(maracana,respectFile);

	//metto fuori la tupla FINE che di defautl ha ZERO come valore
	int end=0;
	Value fischio=new Value(end);
	LogicTuple fine=new LogicTuple("fine",fischio);
	stadio.out(maracana,fine);

	//BARRIERA DI SINCRONIZZAZIONE***********
	int numeroAgenti=6;
	Value numeroAgenti2=new Value(numeroAgenti);
	int agentiPronti=0;
	Value agentiPronti2=new Value(agentiPronti);
	LogicTuple numPlayers=new LogicTuple("barrier_size",numeroAgenti2);
	stadio.out(maracana,numPlayers);	
	LogicTuple numReady=new LogicTuple("ready_agents",agentiPronti2);	
	stadio.out(maracana,numReady);
	LogicTuple numReady2=new LogicTuple("ready_agents2",agentiPronti2);	
	stadio.out(maracana,numReady2);

	//Agente Rea di nome angeloRea lanciato dal main
	AgentId cesenate=new AgentId("rea");
	new Rea(cesenate).spawn();
	//Agente Rea di nome angeloRea lanciato dal main
	AgentId cesenate2=new AgentId("bocchini");
	new Bocchini(cesenate2).spawn();
	//Agente Rea di nome angeloRea lanciato dal main
	AgentId cesenate3=new AgentId("ficagna");
	new Ficagna(cesenate3).spawn();
	//Agente Rea di nome angeloRea lanciato dal main
	AgentId cesenate4=new AgentId("ambrogioni");
	new Ambrogioni(cesenate4).spawn();
	//Agente Rea di nome angeloRea lanciato dal main
	AgentId cesenate5=new AgentId("cavalli");
	new Cavalli(cesenate5).spawn();
	//Agente Rea di nome angeloRea lanciato dal main
	AgentId cesenate6=new AgentId("bernacci");
	new Bernacci(cesenate6).spawn();

	//recupero i messaggi inviati dagli agenti
	//LogicTuple coordinate=stadio.in(maracana, new LogicTuple("coordinate",new alice.logictuple.Var("X1"), new alice.logictuple.Var("Y1"), new alice.logictuple.Var("X2"), new alice.logictuple.Var("Y2")));
	
	//leggo la posizione dei sei agenti e stampo a video
	LogicTuple manicomio=stadio.rd(maracana, new LogicTuple("rea",new alice.logictuple.Var("X1"), new alice.logictuple.Var("Y1")));
	LogicTuple manicomio2=stadio.rd(maracana, new LogicTuple("bocchini",new alice.logictuple.Var("X2"), new alice.logictuple.Var("Y2")));
	LogicTuple manicomio3=stadio.rd(maracana, new LogicTuple("ficagna",new alice.logictuple.Var("X3"), new alice.logictuple.Var("Y3")));
	LogicTuple manicomio4=stadio.rd(maracana, new LogicTuple("ambrogioni",new alice.logictuple.Var("X4"), new alice.logictuple.Var("Y4")));
	LogicTuple manicomio5=stadio.rd(maracana, new LogicTuple("cavalli",new alice.logictuple.Var("X5"), new alice.logictuple.Var("Y5"),new alice.logictuple.Var("P5")));
	LogicTuple manicomio6=stadio.rd(maracana, new LogicTuple("bernacci",new alice.logictuple.Var("X6"), new alice.logictuple.Var("Y6"),new alice.logictuple.Var("P6")));
	System.out.println("Posizione di partenza di Rea: ("+manicomio.getArg(0)+","+manicomio.getArg(1)+")");
	System.out.println("Posizione di partenza di Bocchini: ("+manicomio2.getArg(0)+","+manicomio2.getArg(1)+")");
	System.out.println("Posizione di partenza di Ficagna: ("+manicomio3.getArg(0)+","+manicomio3.getArg(1)+")");
	System.out.println("Posizione di partenza di Ambrogioni: ("+manicomio4.getArg(0)+","+manicomio4.getArg(1)+")");
	System.out.println("Posizione di partenza di Cavalli: ("+manicomio5.getArg(0)+","+manicomio5.getArg(1)+")");
	System.out.println("Posizione di partenza di Bernacci: ("+manicomio6.getArg(0)+","+manicomio6.getArg(1)+")");

	/*Disconnetti close=new Disconnetti();
	close.leggiDaTc();*/

	//vado a leggere posizione di arrivo e partenza
	LogicTuple pazzia=stadio.in(maracana, new LogicTuple("graficoRea",new alice.logictuple.Var("Sx"), new alice.logictuple.Var("Sy"),new alice.logictuple.Var("Ex"), new alice.logictuple.Var("Ey")));	
	LogicTuple pazzia2=stadio.in(maracana, new LogicTuple("graficoBocchini",new alice.logictuple.Var("S2x"), new alice.logictuple.Var("S2y"),new alice.logictuple.Var("E2x"), new alice.logictuple.Var("E2y")));
	LogicTuple pazzia3=stadio.in(maracana, new LogicTuple("graficoFicagna",new alice.logictuple.Var("S3x"), new alice.logictuple.Var("S3y"),new alice.logictuple.Var("E3x"), new alice.logictuple.Var("E3y")));
	LogicTuple pazzia4=stadio.in(maracana, new LogicTuple("graficoAmbrogioni",new alice.logictuple.Var("S4x"), new alice.logictuple.Var("S4y"),new alice.logictuple.Var("E4x"), new alice.logictuple.Var("E4y")));
	LogicTuple pazzia5=stadio.in(maracana, new LogicTuple("graficoCavalli",new alice.logictuple.Var("S5x"), new alice.logictuple.Var("S5y"),new alice.logictuple.Var("E5x"), new alice.logictuple.Var("E5y")));
	LogicTuple pazzia6=stadio.in(maracana, new LogicTuple("graficoBernacci",new alice.logictuple.Var("S6x"), new alice.logictuple.Var("S6y"),new alice.logictuple.Var("E6x"), new alice.logictuple.Var("E6y")));

	//prendo quanto ricevuto per passarlo al grafico
	int[] a=new int[6];
	int[] b=new int[6];
	int[] c=new int[6];
	int[] d=new int[6];
	a[0]=pazzia.getArg(0).intValue();b[0]=pazzia.getArg(1).intValue();c[0]=pazzia.getArg(2).intValue();d[0]=pazzia.getArg(3).intValue();
	a[1]=pazzia2.getArg(0).intValue();b[1]=pazzia2.getArg(1).intValue();c[1]=pazzia2.getArg(2).intValue();d[1]=pazzia2.getArg(3).intValue();
	a[2]=pazzia3.getArg(0).intValue();b[2]=pazzia3.getArg(1).intValue();c[2]=pazzia3.getArg(2).intValue();d[2]=pazzia3.getArg(3).intValue();
	a[3]=pazzia4.getArg(0).intValue();b[3]=pazzia4.getArg(1).intValue();c[3]=pazzia4.getArg(2).intValue();d[3]=pazzia4.getArg(3).intValue();
	a[4]=pazzia5.getArg(0).intValue();b[4]=pazzia5.getArg(1).intValue();c[4]=pazzia5.getArg(2).intValue();d[4]=pazzia5.getArg(3).intValue();
	a[5]=pazzia6.getArg(0).intValue();b[5]=pazzia6.getArg(1).intValue();c[5]=pazzia6.getArg(2).intValue();d[5]=pazzia6.getArg(3).intValue();

	//stampo a video quanto ricevuto
	System.out.println("Posizione di partenza di Rea: ("+pazzia.getArg(0)+","+pazzia.getArg(1)+")");
	System.out.println("Posizione di arrivo di Rea: ("+pazzia.getArg(2)+","+pazzia.getArg(3)+")");
	System.out.println("Posizione di partenza di Bocchini: ("+pazzia2.getArg(0)+","+pazzia2.getArg(1)+")");
	System.out.println("Posizione di arrivo di Bocchini: ("+pazzia2.getArg(2)+","+pazzia2.getArg(3)+")");
	System.out.println("Posizione di partenza di Ficagna: ("+pazzia3.getArg(0)+","+pazzia3.getArg(1)+")");
	System.out.println("Posizione di arrivo di Ficagna: ("+pazzia3.getArg(2)+","+pazzia3.getArg(3)+")");
	System.out.println("Posizione di partenza di Ambrogioni: ("+pazzia4.getArg(0)+","+pazzia4.getArg(1)+")");
	System.out.println("Posizione di arrivo di Ambrogioni: ("+pazzia4.getArg(2)+","+pazzia4.getArg(3)+")");
	System.out.println("Posizione di partenza di Cavalli: ("+pazzia5.getArg(0)+","+pazzia5.getArg(1)+")");
	System.out.println("Posizione di arrivo di Cavalli: ("+pazzia5.getArg(2)+","+pazzia5.getArg(3)+")");
	System.out.println("Posizione di partenza di Bernacci: ("+pazzia6.getArg(0)+","+pazzia6.getArg(1)+")");
	System.out.println("Posizione di arrivo di Bernacci: ("+pazzia6.getArg(2)+","+pazzia6.getArg(3)+")"); 

	  //costruisco un campo e gli passo le coordinate
	  new DinoManuzzi().newStadium("Cesena A-Cesena B",a,b,c,d);

	}																					//ho chiuso il main
}																						//ho chiuso il file Castori.java
