q213ordina(A,B,W,Z) :-
	A > B,
	W is A,
	Z is B.
ordina(A,B,W,Z) :-
	A < B,
	W is B,
	Z is A.
ordina(A,B,X,Y) :-
	A =:= B,
	X is A,
	Y is B.
allineaESali(A,X,Y,W) :-
	X is A - 30,
	Y is A - 30,
	W is A - 30.
davanti(A,B,X) :-
	A =< B,
	X is B.
allineaESali(A,X,Y) :-
	X is A - 30,
	Y is A - 30.
ordina3(A,A1,B,B1,C,C1,X,X1,Y,Y1,Z,Z1) :-
	ordina3(B,B1,C,C1,Mag,Mag1,Min,Min1),
	ordina3(A,A1,Mag,Mag1,X,X1,Min2,Min21),
	ordina3(Min,Min1,Min2,Min21,Y,Y1,Z,Z1).
uguale(A,B,C,D) :-
	A =:= B,
	C =:= D,
	A =:= C.
piuAvanti(A,B,X,Y) :-
	A >= B,
	X > Y.
piuAvanti(A,B,X,Y) :-
	A =< B,
	X < Y.
ordina3(A,A1,B,B1,C,C1,D,D1,X,X1,Y,Y1,W,W1,Z,Z1) :-
	ordina3(B,B1,C,C1,D,D1,Mag,Mag1,Med,Med1,Min,Min1),
	ordina3(A,A1,Mag,Mag1,Med,Med1,X,X1,Med2,Med21,Min2,Min21),
	ordina3(Med2,Med21,Min2,Min21,Min,Min1,Y,Y1,W,W1,Z,Z1).
nonPiuAvanti(A,B,X,Y,Z,Z2) :-
	A =< B,
	X > Y,
	Z is B,
	Z2 is A.
nonPiuAvanti(A,B,X,Y,Z,Z2) :-
	A >= B,
	X < Y,
	Z is A,
	Z2 is B.
allineaESali(A,X) :-
	X is A - 30.
ordina(A,B,C,X,Y,Z) :-
	ordina(B,C,Mag,Min),
	ordina(A,Mag,X,Min2),
	ordina(Min,Min2,Y,Z).
ordina3(A,A1,B,B1,W,W1,Z,Z1) :-
	A > B,
	W is A,
	W1 is A1,
	Z is B,
	Z1 is B1.
ordina3(A,A1,B,B1,W,W1,Z,Z1) :-
	A < B,
	W is B,
	W1 is B1,
	Z1 is A1,
	Z is A.
ordina3(A,A1,B,B1,X,X1,Y,Y1) :-
	A =:= B,
	X is A,
	Y is B,
	X1 is A1,
	Y1 is B1.
davantiATutti(A,X,Y,Z,W) :-
	A > X,
	A > Y,
	A > Z,
	A > W.
fuorigioco(rea(Da1,A1,Y1),bocchini(Da2,A2,Y2),ficagna(Da3,A3,Y3),ambrogioni(Da4,A4,Y4),cavalli(Att1,Y5,Palla1),bernacci(Att2,Y6,Palla2)) :-
	piuAvanti(Att1,Att2,Palla1,Palla2),
	A1 is 510,
	A2 is 510,
	A3 is 510,
	A4 is 510,
	write('VADO A CONTRASTO!').
fuorigioco(rea(Da1,A1,Y1),bocchini(Da2,A2,Y2),ficagna(Da3,A3,Y3),ambrogioni(Da4,A4,Y4),cavalli(Att1,Y5,Palla1),bernacci(Att2,Y6,Palla2)) :-
	nonPiuAvanti(Att1,Att2,Palla1,Palla2,ChiNonHaLaPalla,ChiHaLaPalla),
	Palla is ChiHaLaPalla + 60,
	ChiNonHaLaPalla =< Palla,
	A1 is 510,
	A2 is 510,
	A3 is 510,
	A4 is 510,
	write('VADO A CONTRASTO!').
fuorigioco(rea(Da1,A1,Y1),bocchini(Da2,A2,Y2),ficagna(Da3,A3,Y3),ambrogioni(Da4,A4,Y4),cavalli(Att1,Y5,Palla1),bernacci(Att2,Y6,Palla2)) :-
	nonPiuAvanti(Att1,Att2,Palla1,Palla2,ChiNonHaLaPalla),
%	ordina(Da1,Da2,Da3,Da4,Quarto,Terzo,Secondo,Primo),
	ordina3(Da1,A1,Da2,A2,Da3,A3,Da4,A4,Quarto,Q1,Terzo,T1,Secondo,S1,Primo,P1),
	davanti(ChiNonHaLaPalla,Primo,DifPiuAvanti),
%	allineaESali(DifPiuAvanti,A1,A2,A3,A4).
	allineaESali2(Primo,Secondo,Terzo,Quarto,P1,S1,T1,Q1).
fuorigioco(rea(Da1,A1,Y1),bocchini(Da2,A2,Y2),ficagna(Da3,A3,Y3),ambrogioni(Da4,A4,Y4),cavalli(Att1,Y5,Palla1),bernacci(Att2,Y6,Palla2)) :-
	nonPiuAvanti(Att1,Att2,Palla1,Palla2,ChiNonHaLaPalla),
	davantiATutti(ChiNonHaLaPalla,Da1,Da2,Da3,Da4),
	write('FUORIGIOCO!'),
	A1 is Da1,
	A2 is Da2,
	A3 is Da3,
	A4 is Da4.
fuorigioco(rea(Da1,A1,Y1),bocchini(Da2,A2,Y2),ficagna(Da3,A3,Y3),ambrogioni(Da4,A4,Y4),cavalli(Att1,Y5,Palla1),bernacci(Att2,Y6,Palla2)) :-
	nonPiuAvanti(Att1,Att2,Palla1,Palla2,ChiNonHaLaPalla),
	ordina3(Da1,A1,Da2,A2,Da3,A3,Da4,A4,Quarto,Q1,Terzo,T1,Secondo,S1,Primo,P1),
	davanti(Primo,ChiNonHaLaPalla,X),
	davanti(ChiNonHaLaPalla,Secondo,Y),
%	allineaESali(Secondo,S1,T1,Q1),
	allineaESali2(Secondo,Terzo,Quarto,S1,T1,Q1),
	P1 is Primo.
fuorigioco(rea(Da1,A1,Y1),bocchini(Da2,A2,Y2),ficagna(Da3,A3,Y3),ambrogioni(Da4,A4,Y4),cavalli(Att1,Y5,Palla1),bernacci(Att2,Y6,Palla2)) :-
	nonPiuAvanti(Att1,Att2,Palla1,Palla2,ChiNonHaLaPalla),
	uguale(Da1,Da2,Da3,Da4),
	allineaESali(Da1,A1,A2,A3,A4).
fuorigioco(rea(Da1,A1,Y1),bocchini(Da2,A2,Y2),ficagna(Da3,A3,Y3),ambrogioni(Da4,A4,Y4),cavalli(Att1,Y5,Palla1),bernacci(Att2,Y6,Palla2)) :-
	nonPiuAvanti(Att1,Att2,Palla1,Palla2,ChiNonHaLaPalla),
	ordina3(Da1,A1,Da2,A2,Da3,A3,Da4,A4,Quarto,Q1,Terzo,T1,Secondo,S1,Primo,P1),
	davanti(Secondo,ChiNonHaLaPalla,X),
	davanti(ChiNonHaLaPalla,Terzo,Y),
	%allineaESali(Terzo,T1,Q1),
	allineaESali2(Terzo,Quarto,T1,Q1),
	P1 is Primo,
	S1 is Secondo.
fuorigioco(rea(Da1,A1,Y1),bocchini(Da2,A2,Y2),ficagna(Da3,A3,Y3),ambrogioni(Da4,A4,Y4),cavalli(Att1,Y5,Palla1),bernacci(Att2,Y6,Palla2)) :-
	nonPiuAvanti(Att1,Att2,Palla1,Palla2,ChiNonHaLaPalla),
	ordina3(Da1,A1,Da2,A2,Da3,A3,Da4,A4,Quarto,Q1,Terzo,T1,Secondo,S1,Primo,P1),
	davanti(Terzo,ChiNonHaLaPalla,X),
	davanti(ChiNonHaLaPalla,Quarto,Y),
	allineaESali2(Quarto,Q1),
	P1 is Primo,
	S1 is Secondo,
	T1 is Terzo.
nonPiuAvanti(A,B,X,Y,Z) :-
	A =< B,
	X > Y,
	Z is B.
nonPiuAvanti(A,B,X,Y,Z) :-
	A >= B,
	X < Y,
	Z is A.
ordina(A,B,C,D,X,Y,W,Z) :-
	ordina(B,C,D,Mag,Med,Min),
	ordina(A,Mag,Med,X,Med2,Min2),
	ordina(Med2,Min2,Min,Y,W,Z).
quantoSalire(Primo,Secondo,Terzo,Quarto,X,Y,Z,W) :-
	UltimoAvanti is Quarto - 30,
	Primo < UltimoAvanti,
	X is Primo,
	quantoSalire(Secondo,Terzo,Quarto,Y,Z,W).
quantoSalire(Primo,Secondo,Terzo,Quarto,X,Y,W,Z) :-
	UltimoAvanti is Quarto - 30,
	Primo >= UltimoAvanti,
	X is UltimoAvanti,
	Y is UltimoAvanti,
	W is UltimoAvanti,
	Z is UltimoAvanti.
quantoSalire(Primo,Secondo,Terzo,X,Y,W):-
	UltimoAvanti is Terzo - 30,
	Primo < UltimoAvanti,
	X is Primo,
	quantoSalire(Secondo,Terzo,Y,W).
quantoSalire(Primo,Secondo,Terzo,X,Y,W):-
	UltimoAvanti is Terzo - 30,
	Primo >= UltimoAvanti,
	X is UltimoAvanti,
	Y is UltimoAvanti,
	W is UltimoAvanti.
quantoSalire(Primo,Secondo,X,Y):-
	UltimoAvanti is Secondo - 30,
	Primo < UltimoAvanti,
	X is Primo,
	Y is UltimoAvanti.
quantoSalire(Primo,Secondo,X,Y):-
	UltimoAvanti is Secondo - 30,
	Primo >= UltimoAvanti,
	X is UltimoAvanti,
	Y is UltimoAvanti.
allineaESali2(A,B,C,D,X,Y,W,Z) :-
	quantoSalire(A,B,C,D,X,Y,W,Z).
allineaESali2(A,B,C,X,Y,W) :-
	quantoSalire(A,B,C,X,Y,W).
allineaESali2(A,B,X,Y) :-
	quantoSalire(A,B,X,Y).
allineaESali2(A,X) :-
	allineaESali(A,X).
allineaESali(A,X,Y,W,Z) :-
	X is A - 30,
	Y is A - 30,
	W is A - 30,
	Z is A - 30.
